%define bigfov 0
# distro_section==tainted builds libpano with fov > 160 support 
# wich is patent covered so disabled by default (for core section)

%if "%{?distro_section}" == "tainted"
%define bigfov 1
%endif

%define name	libpano13
%define version 2.9.18

%define	release	%mkrel 5
%define lib_major 2
%define libname %mklibname pano13_ %{lib_major}
%define develname %mklibname -d pano13

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Panorama Tools library
License:	GPLv2+
Group:		System/Libraries
URL:		http://panotools.sourceforge.net/
Source:		http://downloads.sourceforge.net/panotools/%{name}-%{version}.tar.gz
BuildRequires:	java-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel

%description
Helmut Dersch's Panorama Tools

%if %bigfov
This package is in the 'tainted' section because there is a patent if FOV is > 160
%endif

%package tools
Summary:	Panorama Tools library
Group:		Graphics

%description tools
Utilies for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	libpano0
Obsoletes:	%{_lib}pano13_0 < %{version}-%{release}

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pano13-devel = %{version}-%{release}

%description -n %{develname}
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q

%build
export LIBS="-lm"
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x --enable-shared=yes --enable-static=no --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%files tools
%defattr (-,root,root)
%doc README.linux README.windows
%{_bindir}/PT*
%{_bindir}/panoinfo
%{_mandir}/man1/*.1.*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/libpano13.so.%{lib_major}*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/pano13
%{_libdir}/libpano13.la
%{_libdir}/libpano13.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Dec 23 2011 fwang <fwang> 2.9.18-5.mga2
+ Revision: 186417
- rebuild for new tiff

* Sat Sep 10 2011 fwang <fwang> 2.9.18-4.mga2.tainted
+ Revision: 142188
- rebuild for new libpng

* Thu Jun 23 2011 fwang <fwang> 2.9.18-3.mga2.tainted
+ Revision: 112581
- correct obsoletes

* Thu Jun 23 2011 fwang <fwang> 2.9.18-2.mga2
+ Revision: 112577
- fix libmajor

* Wed Jun 22 2011 fwang <fwang> 2.9.18-1.mga2.tainted
+ Revision: 111930
- update file list
- New version 2.9.18

* Sun May 29 2011 cjw <cjw> 2.9.17-3.mga1.tainted
+ Revision: 100689
- add support for tainted builds

* Thu Apr 21 2011 misc <misc> 2.9.17-2.mga1
+ Revision: 89328
- fix License
- fix BuildRequires
- be explicit about the patch options

* Fri Feb 18 2011 mikala <mikala> 2.9.17-1.mga1
+ Revision: 53477
- Remove BuildRoot
- Clean mdk macros
- imported package libpano13

